com.jnape.palatable.lambda.functions.builtin.fn3

## Class Between<A extends Comparable<A>>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn3.Between<A>

- Type Parameters:
    `A` - the bounds and input type
  All Implemented Interfaces:
    Fn1<A,Fn1<A,Fn1<A,Boolean>>>, Fn2<A,A,Fn1<A,Boolean>>, Fn3<A,A,A,Boolean>, Applicative<Fn1<A,Fn1<A,Boolean>>,Fn1<A,?>>, Cartesian<A,Fn1<A,Fn1<A,Boolean>>,Fn1<?,?>>, Cocartesian<A,Fn1<A,Fn1<A,Boolean>>,Fn1<?,?>>, Contravariant<A,Profunctor<?,Fn1<A,Fn1<A,Boolean>>,Fn1<?,?>>>, Functor<Fn1<A,Fn1<A,Boolean>>,Fn1<A,?>>, Profunctor<A,Fn1<A,Fn1<A,Boolean>>,Fn1<?,?>>, Monad<Fn1<A,Fn1<A,Boolean>>,Fn1<A,?>>, MonadReader<A,Fn1<A,Fn1<A,Boolean>>,Fn1<A,?>>, MonadRec<Fn1<A,Fn1<A,Boolean>>,Fn1<A,?>>, MonadWriter<A,Fn1<A,Fn1<A,Boolean>>,Fn1<A,?>>

      public final class Between<A extends Comparable<A>>
      extends Object
      implements Fn3<A,A,A,Boolean>

  Given two bounds and a value, return whether or not the value is greater than or equal to the lower bound and less than or equal to the upper bound.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A extends Comparable<A>> Between<A>` | `between()`
    `static <A extends Comparable<A>> BiPredicate<A,A>` | `between(A lower)`
    `static <A extends Comparable<A>> Predicate<A>` | `between(A lower, A upper)`
    `static <A extends Comparable<A>> Boolean` | `between(A lower, A upper, A a)`
    `Boolean` | `checkedApply(A lower, A upper, A a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn3

      `apply, apply, apply, checkedApply, compose, contraMap, diMapL, discardR, flip, fn3, fn3, fn3, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `checkedApply, curried, curry, fn2, fromBiFunction, toBiFunction`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Boolean checkedApply(A lower,
                                      A upper,
                                      A a)

      Specified by:
        `checkedApply` in interface `Fn3<A extends Comparable<A>,A extends Comparable<A>,A extends Comparable<A>,Boolean>`

    - #### between

          public static <A extends Comparable<A>> Between<A> between()

    - #### between

          public static <A extends Comparable<A>> BiPredicate<A,A> between(A lower)

    - #### between

          public static <A extends Comparable<A>> Predicate<A> between(A lower,
                                                                       A upper)

    - #### between

          public static <A extends Comparable<A>> Boolean between(A lower,
                                                                  A upper,
                                                                  A a)